#!/usr/bin/env zsh
 
### Job name
#BSUB -J Task5
 
### File / path where STDOUT & STDERR will be written
###    %J is the job ID, %I is the array ID
#BSUB -o Task5.%J.%I
 
### Request the time you need for execution in minutes
### The format for the parameter is: [hour:]minute,
### that means for 80 minutes you could also use this: 1:20
#BSUB -W 10
 
### Request cores and memory you need for your job in TOTAL in MB
#BSUB -M 5000
#BSUB -n 24
 
### Use Advanced Reservation
#BSUB -P hpclab -U PPCES

### Request two P100 GPUs
#BSUB -gpu "num=2"
#BSUB -R pascal
#BSUB -a "openmp"
 
### setup environment
module switch intel pgi/17.10
module load cuda/80
 
### Compile & Execute your application
make clean
make
make run rows=0 threads=0
